%define pkg_name        Gtk2-Ex-PrintDialog
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 1.n0i.1

Summary:       A simple dialog for printing PostScript data in GTK+ applications
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GB/GBROWN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Locale::gettext)
BuildRequires: perl(Gtk2)

%global perl_filter_req 'perl\\((Win32|Printer|Net::CUPS)'


%description
This module implements a dialog widget that can be used to print PostScript
data. It is intended to be a lightweight and pure-perl alternative to the
Gnome2::Print libraries.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:[ -n "$DISPLAY" ] && %{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.03
